Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core.sqlnode
Class GenerateSQLVisitor

    java.lang.Object
      com.hp.hpl.jena.sdb.core.sqlnode.GenerateSQLVisitor

All Implemented Interfaces:
  SqlNodeVisitor

    public class GenerateSQLVisitor

extends Object
implements SqlNodeVisitor

Field Summary
`boolean` | `outputAnnotations`

Constructor Summary
`GenerateSQLVisitor(org.openjena.atlas.io.IndentedWriter out)`

Method Summary
`void` | `conditionList(SqlExprList conditions)`
`SqlJoinInner` | `rewrite(SqlJoinInner join)`
`void` | `visit(SqlCoalesce sqlNode)`
`void` | `visit(com.hp.hpl.jena.sdb.core.sqlnode.SqlDistinct sqlNode)`
`void` | `visit(SqlJoinInner join)`
`void` | `visit(SqlJoinLeftOuter join)`
`void` | `visit(SqlProject sqlNode)`
`void` | `visit(com.hp.hpl.jena.sdb.core.sqlnode.SqlRename sqlNode)`
`void` | `visit(SqlRestrict sqlNode)`
`void` | `visit(SqlSelectBlock sqlSelectBlock)`
`void` | `visit(SqlSlice sqlNode)`
`void` | `visit(SqlTable table)`
`void` | `visit(SqlUnion sqlUnion)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outputAnnotations

    public boolean outputAnnotations

Constructor Detail

### GenerateSQLVisitor

    public GenerateSQLVisitor(org.openjena.atlas.io.IndentedWriter out)

Method Detail

### visit

    public void visit(SqlProject sqlNode)

### visit

    public void visit(com.hp.hpl.jena.sdb.core.sqlnode.SqlDistinct sqlNode)

### visit

    public void visit(SqlRestrict sqlNode)

### visit

    public void visit(SqlSlice sqlNode)

### visit

    public void visit(com.hp.hpl.jena.sdb.core.sqlnode.SqlRename sqlNode)

### visit

    public void visit(SqlSelectBlock sqlSelectBlock)

  Specified by:
    `visit` in interface `SqlNodeVisitor`

### visit

    public void visit(SqlTable table)

  Specified by:
    `visit` in interface `SqlNodeVisitor`

### visit

    public void visit(SqlJoinInner join)

  Specified by:
    `visit` in interface `SqlNodeVisitor`

### rewrite

    public SqlJoinInner rewrite(SqlJoinInner join)

### visit

    public void visit(SqlJoinLeftOuter join)

  Specified by:
    `visit` in interface `SqlNodeVisitor`

### visit

    public void visit(SqlCoalesce sqlNode)

  Specified by:
    `visit` in interface `SqlNodeVisitor`

### visit

    public void visit(SqlUnion sqlUnion)

  Specified by:
    `visit` in interface `SqlNodeVisitor`

### conditionList

    public void conditionList(SqlExprList conditions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.